Bug 4834 - (int-130154) Remove deprecated GTK+ symbols
(int-130154)
: Remove deprecated GTK+ symbols
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(2.2009.51-1)
: All Linux
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
: http://live.gnome.org/GnomeGoals/Remo...
: patch
: 4835 4837
:
  Show dependency tree
 
Reported: 2009-07-27 19:11 UTC by Javier Jardón
Modified: 2010-03-15 20:55 UTC (History)
3 users (show)

See Also:


Attachments
Remove deprecated GTK+ symbols (3.87 KB, patch)
2009-07-27 19:13 UTC, Javier Jardón
Details
Remove deprecated GTK+ symbols. part2 (11.48 KB, patch)
2009-07-28 13:39 UTC, Javier Jardón
Details
Remove deprecated GTK+ symbols. part2.v2 (14.05 KB, patch)
2009-07-28 18:25 UTC, Javier Jardón
Details
Remove deprecated GTK+ symbols_v3 (5.71 KB, patch)
2009-11-04 04:12 UTC, Javier Jardón
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Javier Jardón (reporter) 2009-07-27 19:11:43 UTC
Modest uses deprecated GTK+ symbols that will be removed for GTK+ 3.

See http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B
Comment 1 Javier Jardón (reporter) 2009-07-27 19:13:25 UTC
Created an attachment (id=1279) [details]
Remove deprecated GTK+ symbols
Comment 2 Sergio Villar Senin 2009-07-27 20:05:15 UTC
Thank you very much for the patch Javier!

Fixed in
Modest master 269572150f690858f71dc3a626a84c9a5fec98bb

Keep contributing!
Comment 3 Javier Jardón (reporter) 2009-07-28 01:59:14 UTC
Hello Sergio, 

I've reopened this bug because there are still deprecated gtk+ symbols.
I'll send more patches soon ;)

Regards
Comment 4 Javier Jardón (reporter) 2009-07-28 13:39:58 UTC
Created an attachment (id=1284) [details]
Remove deprecated GTK+ symbols. part2
Comment 5 Sergio Villar Senin 2009-07-28 14:23:35 UTC
Is this the final patch ?
Comment 6 Javier Jardón (reporter) 2009-07-28 18:25:13 UTC
Created an attachment (id=1285) [details]
Remove deprecated GTK+ symbols. part2.v2

The previous patch was one line wrong.Here a new one with one more deprecation
symbol fixed
Comment 7 Andre Klapper maemo.org 2009-07-28 20:20:40 UTC
There are no current plans to remove the code for gtk version < 2.12.
Comment 8 Sergio Villar Senin 2009-11-03 19:58:17 UTC
A couple of comments about this patch. 

   * There is some code about refiltering that has nothing to do with
deprecated symbols.
   * You have to surround the g_object_ref_sink calls that you're adding with
the conditional code that checks the Gtk+ version
   * Now that you are changing the patch (hopefully :)), please do also
recreate it with the current master that does not include gnome/ and maemo/
directories.

Thx!
Comment 9 Javier Jardón (reporter) 2009-11-04 04:12:06 UTC
Created an attachment (id=1533) [details]
Remove deprecated GTK+ symbols_v3

Hey Sergio,

here a new patch as you requested.

There are still 2 recently deprecated symbols, gtk_action_block_activate_from()
and gtk_action_unblock_activate_from(), but I'm not very sure how substitute
them

Regards
Comment 10 Sergio Villar Senin 2010-01-12 18:36:14 UTC
Applied the patch in modest master

Fixed in
master 07b4b24bacfc227ccd63df56a0ee7734ececd4fd

Thx Javier for your patch!!!
Comment 11 Andre Klapper maemo.org 2010-03-15 20:55:45 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).